Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1247984

Description of problem:

In Satellite 6, I can bookmark searches. These bookmarked search are coupled to a controller in which they are available.

I can make a search in the puppetclasses controller named 'ntp' for example, to search for the ntp class. The fact that the name of

the bookmarked search needs to be globally unique means that I cannot create another bookmarked search for the lookup_keys

controller named 'ntp' (which I'll probably want to do, since it's similar content as puppetclasses).

Version-Release number of selected component (if applicable):

foreman-1.7.2.32-1.el7sat.noarch

How reproducible:

Steps to Reproduce:

1. Create bookmarked search called 'ntp' in puppetclasses controller

2. Try to create a bookmarked search in another controller with the same name

3.

Actual results:

Cannot save second search

Expected results:

Bookmarked search should only need to be unique within the context of a single controller. Then I could save a second bookmarked

search in the lookup_keys controller called 'ntp' as well.

Additional info:

Related issues:

Related to Foreman - Bug #13109: Bookmark seeding ignores controller when che... Closed 01/11/2016

Associated revisions

Revision a5a7bc71 - 08/25/2015 09:17 AM - Alon Goldboim

Fixes #11451 - Changed bookmark name to be unique per controller.

History

#1 - 08/23/2015 08:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2631 added

- Pull request deleted ()

#2 - 08/25/2015 09:20 AM - Dominic Cleal

- Category set to Web Interface
- Assignee set to Alon Goldboim

- translation missing: en.field_release set to 63

#3 - 08/25/2015 10:04 AM - Alon Goldboim

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a5a7bc71980454ae17c0eb43253276acb3a01910.

#4 - 01/11/2016 08:12 AM - Dominic Cleal

- Related to Bug #13109: Bookmark seeding ignores controller when checking for existing records added
